apiVersion: v1
kind: Service
metadata:
  name: user-service-py
  labels:
    app: user-service-py
spec:
  selector:
    app: user-service-py
  ports:
    - protocol: TCP
      port: 8080
      targetPort: 8080
  type: ClusterIP # Use ClusterIP for internal communication within the cluster
